KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm completion - Output shell completion code for the specified shell (bash or zsh)

SYNOPSIS

kubeadm completion [OPTIONS]

DESCRIPTION

Output shell completion code for the specified shell (bash or zsh). The shell code must be evaluated to provide interactive completion of kubeadm commands. This can be done by sourcing it from the .bash_profile.

Note: this requires the bash-completion framework.

To install it on Mac use homebrew:
    $ brew install bash-completion Once installed, bash_completion must be evaluated. This can be done by adding the following line to the .bash_profile
    $ source $(brew --prefix)/etc/bash_completion

If bash-completion is not installed on Linux, please install the 'bash-completion' package via your distribution's package manager.

Note for zsh users: [1] zsh completions are only supported in versions of zsh >= 5.2

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

EXAMPLE
    # Install bash completion on a Mac using homebrew
    brew install bash-completion
    printf "\n# Bash completion support\nsource $(brew --prefix)/etc/bash_completion\n" >> $HOME/.bash_profile
    source $HOME/.bash_profile
    # Load the kubeadm completion code for bash into the current shell
    source <(kubeadm completion bash)
    # Write bash completion code to a file and source it from .bash_profile
    kubeadm completion bash > ~/.kube/kubeadm_completion.bash.inc
    printf "\n# Kubeadm shell completion\nsource '$HOME/.kube/kubeadm_completion.bash.inc'\n" >> $HOME/.bash_profile
    source $HOME/.bash_profile
    # Load the kubeadm completion code for zsh[1] into the current shell
    source <(kubeadm completion zsh)

SEE ALSO

kubeadm(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!